%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           willie
Version:        4.5.0
Release:        1%{?dist}
Summary:        Simple, lightweight and easy-to-use IRC Utility bot

License:        EFL 2.0
URL:            http://willie.dftba.net/
Source0:        http://willie.dftba.net/files/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
BuildRequires:  dos2unix
BuildRequires:  systemd

Requires:       pytz
Requires:       python-lxml
Requires:       python-feedparser
Requires:       python-enchant
Requires:       python-pygeoip
Requires:       pyOpenSSL
Requires:       python-praw
Requires:       python-backports-ssl_match_hostname

%description
Willie is a simple, lightweight, open source, easy-to-use IRC Utility bot.
It is designed to be easy to use, run and extend.

%prep
%setup -q

%build
%{__python} setup.py build
dos2unix CREDITS
rm willie/modules/find_updates.py
cd docs/
make singlehtml
mv build/singlehtml build/api-docs
rm build/api-docs/.buildinfo


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_prefix}/lib/tmpfiles.d
install -m 0644 contrib/%{name}.conf %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
mkdir -p %{buildroot}/run
install -d -m 0755 %{buildroot}/run/%{name}/
mkdir -p %{buildroot}%{_sysconfdir}
install -m 0644 contrib/%{name}.cfg %{buildroot}%{_sysconfdir}/%{name}.cfg
mkdir -p %{buildroot}%{_unitdir}
install -m 0644 contrib/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
mkdir -p %{buildroot}/var/log/%{name}
mkdir -p %{buildroot}/var/lib/%{name}

%files
%doc README.rst COPYING CREDITS NEWS docs/build/api-docs
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%{python_sitelib}/*
%{_bindir}/willie
%dir %attr(-,%{name}, %{name})/run/%{name}/
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_unitdir}/%{name}.service
%dir %attr(-,%{name}, %{name})/var/lib/%{name}/
%dir %attr(-,%{name}, %{name})/var/log/%{name}/


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d /var/lib/%{name} -s /sbin/nologin \
        -c "willie ircbot account " %{name}
exit 0

%post
%systemd_post willie.service

%preun
%systemd_preun willie.service

%postun
%systemd_postun willie.service



%changelog
* Sun Aug 31 2014 Elad Alfassa <elad@fedoraproject.org> - 4.5.0-1
- Update to the latest upstream release

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 08 2014 Edward Powell <me@embolalia.com> - 4.2.1-1
- Update to 4.2.1 from upstream

* Sat Mar 08 2014 Edward Powell <me@embolalia.com> - 4.2.0-1
- Update to 4.2.0 from upstream

* Fri Nov 15 2013 Edward Powell <me@embolalia.com> - 4.1.0-1
- Update to 4.1.0 from upstream

* Tue Aug 20 2013 Elad Alfassa <elad@fedoraproject.org> - 4.0.1-2
- Fix dependancy error

* Mon Aug 19 2013 Elad Alfassa <elad@fedoraproject.org> - 4.0.1-1
- Update to 4.0.1 from upstream

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Elad Alfassa <elad@fedoraproject.org> - 4.0.0-1
- New upstream release

* Sun Mar 31 2013 Elad Alfassa <elad@fedoraproject.org> - 3.2.0-1
- New upstream release

* Fri Jan 25 2013 Elad Alfassa <elad@fedoraproject.org> - 3.1.3-1
- New upstream release

* Tue Nov 20 2012 Elad Alfassa <elad@fedoraproject.org> - 3.1.2-2
- Use python2-devel instead of python-devel

* Mon Nov 19 2012 Elad Alfassa <elad@fedoraproject.org> - 3.1.2-1
- New upstream release
- Fix bug which prevented module config wizard from working on new installs

* Sun Nov 18 2012 Elad Alfassa <elad@fedoraproject.org> - 3.1.1-1
- New upstream release

* Sat Nov 17 2012 Elad Alfassa <elad@fedoraproject.org> - 3.1-3
- Fix summary line
- Fix license tag

* Tue Nov 13 2012 Elad Alfassa <elad@fedoraproject.org> - 3.1-2
- Require pyOpenSSL to enable full SSL support
- Don't remove reddit, python-praw is now in Fedora

* Sat Nov 10 2012 Elad Alfassa <elad@fedoraproject.org> - 3.1-1
- Initial packaging

